io.crate.client.jdbc

## Class CrateDriver

- java.lang.Object
- - org.postgresql.Driver
  - - io.crate.client.jdbc.CrateDriver

All Implemented Interfaces:
  java.sql.Driver

    public class CrateDriver
    extends org.postgresql.Driver

### Constructor Summary

Constructors
Constructor and Description
`CrateDriver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(java.lang.String url)`
`java.sql.Connection` `connect(java.lang.String url, java.util.Properties info)`
`static void` `deregister()` Copied from `Driver.deregister()`.
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`static boolean` `isRegistered()` Copied from `Driver.isRegistered()`.
`boolean` `jdbcCompliant()`
`static void` `register()` Copied from `Driver.register()`.

### Methods inherited from class org.postgresql.Driver

`getParentLogger, getPropertyInfo, getSharedTimer, getVersion, notImplemented, parseURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrateDriver

    public CrateDriver()

### Method Detail

#### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties info)
                                throws java.sql.SQLException

Specified by:
  `connect` in interface `java.sql.Driver`
Overrides:
  `connect` in class `org.postgresql.Driver`
Throws:
  `java.sql.SQLException`

#### acceptsURL

    public boolean acceptsURL(java.lang.String url)

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Overrides:
  `acceptsURL` in class `org.postgresql.Driver`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`
Overrides:
  `getMajorVersion` in class `org.postgresql.Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`
Overrides:
  `getMinorVersion` in class `org.postgresql.Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`
Overrides:
  `jdbcCompliant` in class `org.postgresql.Driver`

#### register

    public static void register()
                         throws java.sql.SQLException

Copied from `Driver.register()`.

Throws:
  `java.sql.SQLException`

#### deregister

    public static void deregister()
                           throws java.sql.SQLException

Copied from `Driver.deregister()`.

Throws:
  `java.sql.SQLException`

#### isRegistered

    public static boolean isRegistered()

Copied from `Driver.isRegistered()`.